# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl NAnova.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 2;
BEGIN { use_ok('NAnova') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

use Test::Deep;

$res=NAnova::UnbalancedNestedANOVA( 
   [   [0, 0, 0],
       [0, 0, 1],
       [0, 1, 2],
       [1, 2, 3],
       [1, 2, 4], 
       [1, 3, 5],
       [1, 3, 6]   ],
   [ 1, 3, 4, 3, 2, 2, 4 ],
   [ 0.1, 1, 2, 3, 4, 5, 6, 7, 8, 9,
     10, 11, 12, 13, 14, 15, 16, 17, 18 ]
);

my $level_cmp={
 "p_value" => num(0,0.000001),
 "F" => num(0,0.000001),
};

cmp_deeply($res , [
  {
    "F" => num(7.38702784722442,0.000001),
    "p_value" => num(0.111586857586122,0.000001),
  }, {
    "F" => num(5.73949033750355,0.000001),
    "p_value" => num(0.106124778708793,0.000001),
  }, {
    "F" => num(5.922,0.000001),
    "p_value" => num(0.010177828085146,0.000001),
  }
], 'Unbalanced Nested ANOVA');

